Project

General

Profile

Bug #639

lighttpd not started in latest snapshots

Added by Mike Stupalov about 9 years ago. Updated about 9 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Web Interface
Target version:
Start date:
06/08/2010
Due date:
% Done:

0%

Estimated time:
Affected Version:
2.0
Affected Architecture:

Description

After upgrade to latest snapshot (2.0-BETA1-20100608-0228) lighttpd not starting:

# /usr/local/sbin/lighttpd -f /var/etc/lighty-webConfigurator.conf 
2010-06-08 12:26:58: (network.c.529) SSL: error:00000000:lib(0):func(0):reason(0)

History

#1 Updated by Jim Pingle about 9 years ago

This was due to the OpenSSL version being upgraded on the base system. Lighttpd apparently has a bug that breaks with recent versions, and the patch hasn't found its way into a released version yet. I added the patch to the tools repo here:

https://rcs.pfsense.org/projects/pfsense-tools/repos/mainline/commits/90a610bf12968bcb312d4e282d77c376496c92f7

A test build that includes that patch works for me, so it should be OK in new snapshots.

#2 Updated by Jim Pingle about 9 years ago

  • Status changed from New to Feedback
  • Target version set to 2.0

#3 Updated by Mike Stupalov about 9 years ago

Yes, now lighttpd works. Many thanks.

#4 Updated by Chris Buechler about 9 years ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF